{
  system,
  inputs,
  pkgs,
  ...
}: {
  stylix.enable = true;

  stylix.image = ./wallpaper.jpg;

  stylix.base16Scheme = {
    slug = "daemon-2-0";
    scheme = "Daemon 2.0 by Converted from Konsole";
    author = "Converted from Konsole";

    # Base colors
    base00 = "3b0d12"; # Background
    base01 = "4e1318"; # Lighter background (used for status bars)
    base02 = "661a1f"; # Brightened Color0
    base03 = "200d14"; # Comments or secondary text
    base04 = "9370db"; # Color4
    base05 = "5df4fe"; # Foreground
    base06 = "e0e0e0"; # Bright foreground
    base07 = "ffffff"; # White for highest contrast

    # ANSI colors
    base08 = "ff5560"; # Red (Color8)
    base09 = "ff5048"; # Orange/Red
    base0A = "fdf500"; # Yellow
    base0B = "28c775"; # Green
    base0C = "1ac5b0"; # Aqua/Cyan
    base0D = "9370db"; # Blue
    base0E = "cb1dcd"; # Magenta
    base0F = "661a1f"; # Additional color used for highlighting
  };

  home-manager.sharedModules = [
    {
      programs.vscode = {
        extensions = with inputs.nix-vscode-extensions.extensions.${system}; [
          vscode-marketplace.max-ss.cyberpunk
          vscode-marketplace.vscode-icons-team.vscode-icons
        ];
        userSettings = {
          "workbench.colorTheme" = "Activate SCARLET protocol (beta)";
          "workbench.iconTheme" = "vscode-icons";
        };
      };

      stylix.cursor = {
        package = pkgs.qogir-icon-theme;
        name = "Qogir";
      };
    }
  ];

  stylix.cursor = {
    package = pkgs.qogir-icon-theme;
    name = "Qogir";
  };

  stylix.fonts = {
    serif = {
      package = pkgs.dejavu_fonts;
      name = "DejaVu Serif";
    };

    sansSerif = {
      package = pkgs.dejavu_fonts;
      name = "DejaVu Sans";
    };

    monospace = {
      package = pkgs.nerdfonts.override {fonts = ["JetBrainsMono"];};
      name = "JetBrainsMono Nerd Font";
    };

    emoji = {
      package = pkgs.noto-fonts-emoji;
      name = "Noto Color Emoji";
    };
  };
}
